## oem-config 1.54.13netbook5araneo8

=== d-i/source/netcfg/debian/changelog ===
netcfg (1.46ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Call /usr/lib/network-manager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use. May be preseeded away with
      netcfg/network-manager.
    - Add an /etc/network/interfaces stanza for lo even if the netcfg menu
      item wasn't run.
    - Build for lpia.
    - Bump the DHCP timeout to 30 seconds.
    - If we detect that the user entered a fully-qualified domain name as
      the hostname, then remove the domain part from the hostname as well as
      copying it to netcfg/get_domain.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Nov 2008 17:02:05 +0000

netcfg (1.46) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Danish (da.po)
  * Georgian (ka.po) by Aiet Kolkhi
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Slovenian (sl.po) by Vanja Cvelbar
  * Serbian (sr.po) by Veselin Mijušković

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 19:21:14 -0300

netcfg (1.45) unstable; urgency=low

  [ Martin Michlmayr ]
  * Put in a special case to allow preseeding of no gateway via
    netcfg/get_gateway=none.  (Closes: #497285).

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Gujarati (gu.po) by Kartik Mistry
  * Hebrew (he.po) by Omer Zak
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Georgian (ka.po) by Aiet Kolkhi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Turkish (tr.po) by Mert Dirik
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 08 Sep 2008 16:27:20 +0300

netcfg (1.44ubuntu4) intrepid; urgency=low

  [ Alain Knaff ]
  * If we detect that the user entered a fully-qualified domain name as the
    hostname, then remove the domain part from the hostname as well as
    copying it to netcfg/get_domain (LP: #11019).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Oct 2008 20:46:52 +0100

netcfg (1.44ubuntu3) intrepid; urgency=low

  * Bump the DHCP timeout to 30 seconds (slightly reluctantly - I still
    advise that people use netcfg/dhcp_timeout to adjust the timeout where
    necessary and possible; LP: #267656).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Sep 2008 12:13:51 +0100

netcfg (1.44ubuntu2) intrepid; urgency=low

  * Build for lpia.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Aug 2008 15:59:17 +0100

netcfg (1.44ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Call /usr/lib/network-manager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use. May be preseeded away with
      netcfg/network-manager.
    - Add an /etc/network/interfaces stanza for lo even if the netcfg menu
      item wasn't run.
  * Drop libiw-dev build-dependency change; it's no longer a practical
    problem.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 17 May 2008 18:06:18 +0200

netcfg (1.44) unstable; urgency=low

  [ Frans Pop ]
  * killall.sh: use pidof instead of parsing the output of ps to determine
    pids of dhcp clients as the regexp used could result in false positives.
    See #476524 for background.

  [ Jérémy Bobbio ]
  * Define IPv6 ::1 address as "localhost".  (Closes: #477700)
    Thanks to Marco d'Itri for the patch.

  [ Updated translations ]
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Finnish (fi.po) by Esko Arajärvi
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 13:25:15 -0300

netcfg (1.43) unstable; urgency=low

  [ Colin Watson ]
  * RFC 2181 clarifies that host names may be as short as one octet, so
    allow that (LP: #193054).

  [ Frans Pop ]
  * Remove incorrect space before ellipses.
  * Remove David Kimdon, Joshua Kwan, Matt Kraai, Tollef Fog Heen and
    Thomas Hood as Uploaders with many thanks for their past contributions.

  [ Jérémy Bobbio ]
  * Skip raw IEEE 802.11 network devices when looking up available interfaces.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Korean (ko.po) by Changwoo Ryu
  * Marathi (mr.po)
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Frans Pop <fjp@debian.org>  Wed, 09 Apr 2008 17:30:33 +0200



=== debian/changelog ===
oem-config (1.54.13netbook5araneo8) araneo; urgency=low

  * sharp-ascii-pass.patch: Fix erroneous patch lines that caused changes in
    sharp.patch for user-setup-udeb.templates to be overridden.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 16 Oct 2009 12:00:45 -0400

oem-config (1.54.13netbook5araneo7) araneo; urgency=low

  * sharp-ascii-pass.patch: Only allow ascii password

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 14 Oct 2009 17:27:20 -0400

oem-config (1.54.13netbook5araneo6) araneo; urgency=low

  * sharp-hosts.patch: Add localhost and default IPv6 addresses to /etc/hosts

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 14 Oct 2009 10:42:52 -0400

oem-config (1.54.13netbook5araneo5) araneo; urgency=low

  * sharp.patch: Call usermod even if adduser exits with an error (LP: #428271)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 23 Sep 2009 19:47:59 -0400

oem-config (1.54.13netbook5araneo4) araneo; urgency=low

  * sharp.patch: Modify patch so applying of timezone setting is no longer
    skipped. Allows us to preseed the timezone to Asia/Tokyo.  LP: #420399

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 03 Sep 2009 20:48:23 -0400

oem-config (1.54.13netbook5araneo3) araneo; urgency=low

  * sharp.patch: Measures of problem that occurs because end of metacity is slow

 -- Naoto Hanatani <hanatani.naoto@sharp.co.jp>  Wed, 02 Sep 2009 18:45:45 +0900

oem-config (1.54.13netbook5araneo2) araneo; urgency=low

  * sharp.patch: Integrate sharp's changes to fix LP: #417143

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 27 Aug 2009 13:10:02 -0400

oem-config (1.54.13netbook5araneo1) araneo; urgency=low

  * sharp.patch: Integrate sharp's changes with shortcutkeyrm script removed
    since it currently breaks the build
  * preseed.patch: Read in debconf preseeding from
    /usr/share/oem-config/preseed.d
  * Don not apply gui-langs-in-list.patch as it conflicts with Sharp's changes
    and is not needed since language selection is skipped in araneo version

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Mon, 24 Aug 2009 11:14:34 -0400

oem-config (1.54.13netbook5) netbook-jaunty; urgency=low

  * debian/oem-config.dirs, debian/rules, debian/oem-config.upstart,
    debian/patches/upstart.patch: Don't use upstart for oem-config/gdm
  * debian/init: Move the lateboot-setup commands previously in the
    upstart task into the init script

 -- Michael Terry <michael.terry@canonical.com>  Mon, 24 Aug 2009 10:33:36 -0400

oem-config (1.54.13netbook4) netbook-jaunty; urgency=low

  * gui-langs-in-list.patch:
    - lib/frontend/gtk_ui.py: implemented language list widget as treeview instead of iconview, 
    which is more appropriate for oem with few langs than for ubuntu with many
    - gui/glade/step_language: same as above
  * oem-langlist.patch:
    - lib/components/language.py: added check for oem-specific langauge list 
    (/usr/share/oem-langagues/languagelist.data.gz). If not found, use default

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 29 Jul 2009 12:53:42 -0400

oem-config (1.54.13netbook3) netbook-jaunty; urgency=low

  * debian/patches/upstart.patch, debian/oem-config.upstart:
    - Revert changes in last upload.  GDM is back to using upstart.

 -- Michael Terry <michael.terry@canonical.com>  Thu, 23 Jul 2009 16:05:11 -0400

oem-config (1.54.13netbook2) netbook-jaunty; urgency=low

  * debian/patches/upstart.patch, debian/oem-config.upstart:
    - Use update-rc.d to control gdm, it doesn't use upstart
  * debian/control:
    - Depend on ume-config-base for update-upstart (used for oem-config
      itself)

 -- Michael Terry <michael.terry@canonical.com>  Thu, 25 Jun 2009 15:53:56 -0400

oem-config (1.54.13netbook1) netbook-jaunty; urgency=low

  * Merge with Jaunty, remaining changes:
    + debian/control:
      - Build-Depend on quilt
      - Recommend language-installer
    + debian/init:
      - Don't switch VTs when shutting down usplash
    + debian/oem-config.dirs, debian/oem-config.upstart,
      debian/patches/upstart.patch:
      - Use upstart to control oem-config
    + debian/rules:
      - Use quilt
      - Install upstart script as initially-disabled
    + debian/patches/add-langpacks.patch:
      - Call language-installer when done with oem-config
    + debian/patches/hostname.patch:
      - Set the hostname to the username
    + debian/patches/auto-login.patch:
      - Default auto login to 'on'

 -- Michael Terry <michael.terry@canonical.com>  Mon, 08 Jun 2009 15:47:02 -0400

=== d-i/source/netcfg/debian/control ===
Source: netcfg
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9-1)
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/netcfg
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/netcfg/ubuntu

Package: netcfg
XC-Package-Type: udeb
Architecture: i386 sparc alpha m68k arm armel armeb powerpc mips mipsel hppa ia64 amd64 ppc64 lpia
Depends: ${shlibs:Depends}, ${misc:Depends}, dhcp3-client-udeb (>= 3.1.0-2), ethernet-card-detection
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure the network
 To install additional installer components or the Debian Base System over
 the network, you need to configure the network in the installer. This 
 component will first try to configure your network with DHCP and ask 
 you for static network configuration if this fails. The configured 
 network settings will be copied to your newly installed system.

Package: netcfg-static
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ethernet-card-detection
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure a static network
 If you have information such as IP address, netmask, gateway, then you will be
 able to configure a static network.  If you don't know this information, you
 should ask your system administrator, or look at configuration via DHCP.

=== d-i/source/netcfg/debian/rules ===
#!/usr/bin/make -f

PACKAGES	= $(shell dh_listpackages -s)
DHCP_PACKAGES	= netcfg 

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A usr/lib/base-installer.d usr/lib/finish-install.d etc/network bin
	# Install files that are the same in all packages
	$(foreach PACKAGE, $(PACKAGES), \
		install -m 755 $(PACKAGE) debian/$(PACKAGE)/bin/netcfg; \
		install -m 755 base-installer debian/$(PACKAGE)/usr/lib/base-installer.d/40netcfg; \
		install -m 755 finish-install debian/$(PACKAGE)/usr/lib/finish-install.d/55netcfg; \
		ln -sf netcfg debian/$(PACKAGE)/bin/ptom; )
	# Install files that are in all DHCP packages
	$(foreach PACKAGE, $(DHCP_PACKAGES), \
		mkdir -p debian/$(PACKAGE)/etc/dhcp debian/$(PACKAGE)/etc/dhcp3; \
		mkdir -p debian/$(PACKAGE)/var/dhcp ; \
		install -m 755 killall.sh debian/$(PACKAGE)/bin/killall.sh)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot

	dh_installdebconf

	(echo ; po2debconf debian/netcfg-common.templates ) \
	   >> debian/netcfg-static/DEBIAN/templates	
	(echo ; po2debconf debian/netcfg-common.templates )\
	   >> debian/netcfg/DEBIAN/templates	
	(echo ; po2debconf debian/netcfg-dhcp.templates )\
	   >> debian/netcfg/DEBIAN/templates	
	(echo ; po2debconf debian/netcfg-static.templates )\
	   >> debian/netcfg/DEBIAN/templates	
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/quilt/quilt.make

VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
EXPECTED_AC_VERSION := $(shell echo "$(VERSION)" | cut -d. -f1,2)
AC_VERSION := $(shell grep -w '^AC_INIT' configure.ac | cut -d' ' -f2 | \
			sed 's/[][,]//g')
MANGLED_VERSION := $(subst ~,-,$(VERSION))

ifneq ($(EXPECTED_AC_VERSION),$(AC_VERSION))
$(warning Version $(VERSION) in debian/changelog does not match $(AC_VERSION) in configure.ac!)
endif

tmp = $(CURDIR)/debian/oem-config

PYTHON := $(shell pyversions -r)

console-setup-depends := console-setup (>= $(shell cd d-i/source/console-setup && dpkg-parsechangelog | awk '/Version:/ {print $$2}'))

ifeq (,$(strip $(foreach dir,$(subst :, ,$(PATH)),$(wildcard $(dir)/pygobject-codegen-2.0))))
$(warning pygobject-codegen-2.0 missing; disabling GTK frontend)
export OEM_CONFIG_NO_GTK := 1
endif

update:
	$(MAKE) -C d-i update

update-local:
	$(MAKE) -C d-i update UPDATE_LOCAL=1

d-i/source/console-setup/Keyboard/MyKeyboardNames.pl:
	$(MAKE) -C d-i/source/console-setup/Keyboard MyKeyboardNames.pl \
		xkbdir=/usr/share/X11/xkb

lib/keyboard_names.py: d-i/source/console-setup/Keyboard/MyKeyboardNames.pl
	d-i/make-keyboard-names $< > $@

Makefile:
	PYTHON=$(PYTHON) ./configure --prefix=/usr

build: patch Makefile lib/keyboard_names.py
	$(MAKE)
	$(MAKE) -C d-i build

clean: unpatch
	dh_testdir
	dh_testroot
	find -type f -name '*.pyc' -print0 | xargs -0r rm -f
	rm -f po/.intltool-merge-cache po/stamp-po
	$(MAKE) -C d-i clean
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean d-i/source/console-setup/Keyboard/MyKeyboardNames.pl \
		 lib/keyboard_names.py

	$(MAKE) -C d-i check

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a

	# For the meantime, nearly everything automake wants to install is
	# part of the GTK frontend.
ifndef OEM_CONFIG_NO_GTK
	$(MAKE) install DESTDIR=$(CURDIR)/debian/oem-config-gtk \
		pythondir=\$${prefix}/lib/oem-config \
		pyexecdir=\$${prefix}/lib/oem-config \
		pkgpythondir=\$${prefix}/lib/oem-config/oem_config \
		pkgpyexecdir=\$${prefix}/lib/oem-config/oem_config
	rm -f debian/oem-config-gtk/usr/share/oem-config/desktop/oem-config-prepare-kde.desktop
	rm -rf debian/oem-config-gtk/usr/share/oem-config/pixmaps
endif
	$(MAKE) -C d-i install
	dh_install -a

	# Bits of manual installation that can't be done by dh_install
	sed -i 's/@VERSION@/$(VERSION)/g' debian/oem-config/usr/sbin/oem-config
	sed -e 's,/usr/share/console-setup-mini/console-setup.config,/var/lib/dpkg/info/console-setup.config,g' \
	    -e 's,^\([[:space:]]*\)update-initramfs,\1: update-initramfs,' \
		d-i/source/console-setup/debian/console-setup.postinst \
		> debian/oem-config/usr/lib/oem-config/console/console-setup.postinst
	chmod +x debian/oem-config/usr/lib/oem-config/console/console-setup.postinst
	sed -e 's,/target,,g' \
		d-i/source/tzsetup/post-base-installer.d/*tzsetup \
		> debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
	chmod +x debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
	sed -i -e 's,db_input medium tzsetup/selected,db_input high tzsetup/selected,' \
	       -e 's,/usr/share/tzsetup/tzmap,/usr/lib/oem-config/timezone/tzmap,g' \
		debian/oem-config/usr/lib/oem-config/timezone/tzsetup
	for x in user-setup user-setup-ask user-setup-apply; do \
		sed -e 's,/usr/lib/user-setup,/usr/lib/oem-config/user,g' \
		    -e 's,/bin/sh,/bin/bash,g' \
			d-i/source/user-setup/$$x \
			> debian/oem-config/usr/lib/oem-config/user/$$x; \
		chmod +x debian/oem-config/usr/lib/oem-config/user/$$x; \
	done
	sed -i -e 's,db_input high user-setup/encrypt-home,db_input medium user-setup/encrypt-home,' \
		debian/oem-config/usr/lib/oem-config/user/user-setup-ask
	echo oem >> debian/oem-config/usr/lib/oem-config/user/reserved-usernames
	set -e; for x in languagemap localechooser; do \
		sed 's,/usr/share/localechooser,/usr/lib/oem-config/language,g' \
			d-i/source/localechooser/$$x \
			> debian/oem-config/usr/lib/oem-config/language/$$x; \
		chmod +x debian/oem-config/usr/lib/oem-config/language/$$x; \
	done
	sed -i 's/\\\$${!TAB}/ /g' \
		debian/oem-config/usr/lib/oem-config/language/localechooser

	chmod 755 debian/oem-config/usr/lib/oem-config/welcome/welcome

	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
	dh_installdebconf -a
	echo >> debian/oem-config/DEBIAN/templates
	po2debconf --podir=debian/imported-po \
		debian/oem-config.templates-imported \
		>> debian/oem-config/DEBIAN/templates
	echo >> debian/oem-config/DEBIAN/templates
	cat d-i/templates >> debian/oem-config/DEBIAN/templates
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installinit -a -n
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_pycentral -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a -- -Vmangled-version='$(MANGLED_VERSION)'
	dh_md5sums -a
	dh_builddeb -a

binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	dh_install -i
	dh_installdebconf -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_pycentral -i
	dh_installdeb -i
	dh_gencontrol -i -- -Vmangled-version='$(MANGLED_VERSION)'
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep

.PHONY: build clean binary-arch binary-indep binary

## oem-config 1.54.13netbook5athens1

=== d-i/source/localechooser/Makefile ===
all: debian/languagelist.data debian/short-tmp/shortlists debian/templates check-scripts check-data check-utf8

LIST     = languagelist

debian/languagelist.data: $(LIST)
	LC_COLLATE=C ./mklanguagelist.data $(LIST) debian/languagelist.data

debian/templates.base: debian/localechooser.templates-in debian/iso_3166.tab
	./mktemplates.continents debian/iso_3166.tab regionmap debian/templates.continents
	cat debian/localechooser.templates-in debian/templates.continents >debian/templates.base-in
	./mktemplates.base debian/templates.base-in debian/templates.base

debian/iso-codes:
	./get-iso-codes

debian/iso_3166.tab:
	isoquery -c | cut -f 1,4 | sort >debian/iso_3166.tab

debian/templates: $(LIST) debian/templates.base debian/short-tmp/shortlists
	./mktemplates.shortlist
	./mktemplates.warnings $(LIST) debian/templates

debian/short-tmp/shortlists: debian/iso_3166.tab debian/iso-codes
	./mkshort

check-scripts:
	if [ -x /bin/ash ] ; then SH=ash ; else SH=dash; fi ; \
	for s in finish-install debian/postinst languagemap localechooser ; do \
		$$SH -n $$s ; \
	done

check-utf8: $(LIST)
	iconv -f utf-8 -t unicode $(LIST) > /dev/null

check-data:
	# Check that the listed locale is supported, to make sure it will work.
	@for locale in `grep -v "^#" $(LIST) | cut -d\; -f6 | grep _` ; do \
		if grep -q "^$$locale " /usr/share/i18n/SUPPORTED ; then \
			: ; \
		else \
			echo "warning: locale $$locale not listed in /usr/share/i18n/SUPPORTED" ; \
		fi ; \
	done

.PHONY: demo
localechooser.templates: debian/templates
	grep -v '#' $^ > $@
demo: localechooser.templates localechooser
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./localechooser

clean:
	$(RM) localechooser.templates debian/templates debian/templates.continents debian/templates.base-in debian/templates.base debian/languagelist.data debian/iso_3166.tab
	$(RM) -rf debian/short-tmp debian/iso-codes

=== d-i/source/console-setup/debian/changelog ===
console-setup (1.28ubuntu8) jaunty; urgency=low

  * Update Ubuntu-specific strings from Launchpad.
  * Treat the Kazakhstan layout (kz) as non-Latin (LP: #356816).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 01:15:09 +0100

console-setup (1.28ubuntu7) jaunty; urgency=low

  * Raise priority to critical for questions preseeded with a nonexistent
    code (LP: #328078).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 11:45:13 +0000

console-setup (1.28ubuntu6) jaunty; urgency=low

  * Don't escape '(' and ')' when decoding/encoding the codeset, as the
    pattern is passed to grep and this causes parentheses to be interpreted
    as regular expression groups (thanks to Dmitry Agafonov for pointing out
    the problem).
  * If reading a user configuration file, disable --save, and don't use
    /etc/console-setup/boottime.kmap.gz (LP: #332728).
  * Update Keyboard/KeyboardNames.pl based on xkb-data 1.5-2ubuntu5.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Mar 2009 16:30:50 +0000

console-setup (1.28ubuntu5) jaunty; urgency=low

  * Backport from trunk:
    - Sort the null variant to the top of the choices list rather than to the
      bottom.
  * Set and check a flag on console-setup/dont_ask_layout to make sure that
    it's only asked at most once per package installation (LP: #320374).
  * Update Keyboard/KeyboardNames.pl based on xkb-data 1.4-1ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Jan 2009 12:07:37 +0000

console-setup (1.28ubuntu4) jaunty; urgency=low

  * Set plain or shifted PrintScreen key to generate VoidSymbol rather than
    Ctrl-backslash (LP: #279973).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Dec 2008 10:09:28 +0000

console-setup (1.28ubuntu3) jaunty; urgency=low

  * Create /dev/tty[1-6] in our initramfs script before trying to operate on
    them (LP: #130444).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Nov 2008 12:15:12 +0000

console-setup (1.28ubuntu2) jaunty; urgency=low

  * Default console-setup/ask_detect to false, since it's hard to back up
    out of the detection widget once you've entered it.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Nov 2008 16:48:28 +0000

console-setup (1.28ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Disable workaround in ckbcomp for the kernel not applying Caps Lock to
      non-ASCII letters, except for Turkish layouts; the cure is worse than
      the disease because it makes Caps Lock equivalent to Shift Lock.
    - Set keymap and font in the initramfs if possible.
    - Set default variant for French to oss.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - Set default layout for Kurdish to tr(ku).
    - Fix handling of commas in layout and variant names.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - debian/config.proto: Set sparc default model to pc105.
    - Remove 'exit 0' from the end of debian/config.proto; this will be
      sourced from the postinst in the installer, and exiting in the
      successful case means that /etc/default/console-setup never gets
      generated.
    - Stop running debconf-updatepo on clean.
    - Update for new layouts and variants for Japan, Montenegro, and Serbia,
      and migrate configuration files from the old layouts.
    - Add a "Do not configure keyboard; keep kernel keymap" model option,
      preseedable by console-setup/modelcode=SKIP.
    - Drop the layout/variant priority to high on fresh installs.
    - Honour OVERRIDE_ALLOW_PRESEEDING environment variable when deciding
      whether to allow preseeding, which is ordinarily only allowed in d-i.
    - If console-setup/layoutcode is preseeded but not marked as seen, then
      set the default layout but don't lower the layout question priority or
      preseed console-setup/ask_detect.
    - Fix property counts in Goha and legacy BDF fonts.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Nov 2008 14:36:26 +0000

console-setup (1.28) unstable; urgency=low

  [ Debconf translations ]
  * Belarusian. Closes: #487293

 -- Christian Perrier <bubulle@debian.org>  Tue, 23 Sep 2008 19:49:58 +0200

console-setup (1.27) unstable; urgency=low

  [ Debconf translations ]
  * French
  * Basque. Closes: #490363
  * Turkish. Closes: #490365
  * Thai
  * Bulgarian
  * Swedish. Closes: #490569
  * German. Closes: #490714
  * Portuguese. Closes: #491011
  * Vietnamese. Closes: #491046
  * Bulgarian
  * Czech
  * Galician

 -- Christian Perrier <bubulle@debian.org>  Fri, 18 Jul 2008 11:33:49 +0200

console-setup (1.26) unstable; urgency=low

  [ Colin Watson ]
  * Add a template for the main menu item name.

  [ Debconf translations ]
  * Russian. Closes: #487242
  * Basque. Closes: #487313
  * Turkish. Closes: #487439
  * Swedish. Closes: #487308

 -- Christian Perrier <bubulle@debian.org>  Tue, 08 Jul 2008 20:40:35 +0200

console-setup (1.25ubuntu3) intrepid; urgency=low

  * Fix property counts in Goha and legacy BDF fonts.


=== d-i/source/user-setup/debian/changelog ===
user-setup (1.23ubuntu20) jaunty; urgency=low

  * Add preseedable passwd/auto-login-backup question; if set (e.g. to
    "oem") and passwd/auto-login=true, this backs up the previous contents
    of the configuration files (e.g. to /etc/kde4/kdm/kdmrc.oem). This can
    be used by oem-config to recover the old contents of the configuration
    files later (LP: #361272).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Apr 2009 14:28:56 +0100

user-setup (1.23ubuntu19) jaunty; urgency=low

  * Install ecryptfs-utils if it's already in use by users on an existing
    /home (LP: #361627).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Apr 2009 12:29:32 +0100

user-setup (1.23ubuntu18) jaunty; urgency=low

  * Update Ubuntu-specific strings from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 02:26:42 +0100

user-setup (1.23ubuntu17) jaunty; urgency=low

  * Update Ubuntu-specific strings from Launchpad, including some strings
    previously stuck with old fuzzy translations due to a scripting error
    (LP: #356876).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Apr 2009 13:36:42 +0100

user-setup (1.23ubuntu16) jaunty; urgency=low

  * Don't offer encrypting the home directory if the selected user's home
    directory already exists (LP: #321345).
  * Update Ubuntu-specific strings from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Apr 2009 12:38:09 +0100

user-setup (1.23ubuntu15) jaunty; urgency=low

  [ Bryan McLellan ]
  * Consider a password of '!' in shadow for root to be unset (LP: #340841).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Mar 2009 14:16:04 +0000

user-setup (1.23ubuntu14) jaunty; urgency=low

  * user-setup/password-weak can't be preseeded since that would interfere
    with correct interactive behaviour, but create
    user-setup/allow-password-weak which can.
  * Rename passwd/allow-password-empty to user-setup/allow-password-empty,
    for consistency with user-setup/password-empty. Provide compatibility
    with the old name for one release.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Feb 2009 05:37:10 +0000

user-setup (1.23ubuntu13) jaunty; urgency=low

  * updated to edit the kde4 kdmrc as kde4 is the default now

 -- Roman Shtylman <shtylman@gmail.com>  Thu, 19 Feb 2009 15:55:40 +0000

user-setup (1.23ubuntu12) jaunty; urgency=low

  * Add weak password detection (purely length-based for now, matching
    partman-crypto).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Feb 2009 21:42:45 +0000

user-setup (1.23ubuntu11) jaunty; urgency=low

  * Disable installation of pre-pkgsel.d/10kdesudo; it does nothing for
    Ubuntu, and causes a confusing message that worries some people.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Feb 2009 12:27:02 +0000

user-setup (1.23ubuntu10) jaunty; urgency=low

  * Update translation templates.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Feb 2009 13:55:42 +0100

user-setup (1.23ubuntu9) jaunty; urgency=low

  * chroot to get the mount passphrase and mount /sys and /dev/shm to
    support the encrypted home code.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 03 Feb 2009 09:44:19 +0100

user-setup (1.23ubuntu8) jaunty; urgency=low

  * apt-install ecryptfs-utils in user-setup-ask rather than -apply to
    better accommodate ubiquity.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 27 Jan 2009 18:02:52 +0000

user-setup (1.23ubuntu7) jaunty; urgency=low

  * Backport from trunk:
    - Be more careful about test arguments in the root_password function, in
      case (for example) the encrypted password string is "!" (thanks, Uli
      Heller; LP: #307443).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Jan 2009 17:59:52 +0000

user-setup (1.23ubuntu6) jaunty; urgency=low

  [ Dustin Kirkland ]
  * user-setup-apply: add support for initial passphrase wrapping,
    in the encrypted home directory case, LP: #314482

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Jan 2009 23:02:06 +0000

user-setup (1.23ubuntu5) jaunty; urgency=low

  * Load aes, cbc, and ecb modules after installing crypto-modules but
    before running ecryptfs-setup-private.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Jan 2009 15:35:10 +0000

user-setup (1.23ubuntu4) jaunty; urgency=low

  * Install crypto-modules if home directory encryption is requested
    (LP: #309541).
  * Re-enable home directory encryption option.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Jan 2009 00:21:36 +0000

user-setup (1.23ubuntu3) jaunty; urgency=low

  * Disable home directory encryption option for now, since the kernel
    doesn't yet provide the right pieces (e.g. ecryptfs.ko) in udebs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Dec 2008 16:34:24 +0000

user-setup (1.23ubuntu2) jaunty; urgency=low

  [ Dustin Kirkland ]
  Changes for LP: #302870
  * user-setup-apply: Add support for adduser --encrypt-home;  remove
    deprecated encrypted-private (replaced in the installer by
    encrypted home support)
  * debian/user-setup-udeb.templates: Add encrypt-home debconf question;
    remove deprecated encrypted-private
  * user-setup-ask: prompt for encrypt-home; remove the more complicated
    encrypted-private dialogs

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 10 Dec 2008 13:50:38 -0800

user-setup (1.23ubuntu1) jaunty; urgency=low

  [ Evan Dandrea ]
  * Do not force chpasswd to md5 crypted passwords (LP: #51551).

  [ Colin Watson ]
  * Resynchronise with Debian. Remaining changes:
    - Add the initial user to the adm, dip, lpadmin, and sambashare
      groups too, and to the admin group if no root password is set. Do not
      add them to the audio, video, floppy, dip, netdev, or powerdev groups.
    - Allow the admin group to gain root privileges using sudo.
    - Default passwd/root-login to false.
    - Create the spu group on powerpc/ps3 and powerpc/cell.
    - Make is_system_user always return false if OVERRIDE_SYSTEM_USER is
      set.


=== debian/changelog ===
oem-config (1.54.13netbook5athens1) athens; urgency=low

  * Merge from netbook-jaunty, remaining changes:
    - greek-default.patch

 -- Michael Terry <michael.terry@canonical.com>  Mon, 24 Aug 2009 11:22:39 -0400

oem-config (1.54.13netbook4athens1) athens; urgency=low

  * greek-default.patch:
    - lib/components/language.py: set Greek as default language

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Fri, 14 Aug 2009 11:25:58 -0400

=== d-i/source/user-setup/debian/control ===
Source: user-setup
Section: debian-installer
Priority: extra
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
Standards-Version: 3.7.2
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/user-setup
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/user-setup/ubuntu

Package: user-setup-udeb
XC-Package-Type: udeb
Architecture: all
Priority: standard
XB-Installer-Menu-Item: 6900
Description: Set up users and passwords
Depends: cdebconf-udeb (>= 0.133)

Package: user-setup
Architecture: all
Section: admin
Priority: extra
Depends: ${misc:Depends}, passwd, adduser
Description: Set up initial user and password
 This package creates an initial user, using the same code as is
 responsible for creating the initial user in the installer. It is only
 likely to be of any use if your system has no non-system users at all.

=== debian/control ===
Source: oem-config
Section: admin
Priority: extra
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: apt, bf-utf-source, dash, dctrl-tools, debhelper (>= 5.0.37.3ubuntu2), dpkg-dev (>= 1.9.0), intltool (>= 0.40.0), intltool-debian (>= 0.30+20040212), iso-codes, isoquery, libart-2.0-dev, libbogl-dev, libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), libglib2.0-dev, libgtk2.0-dev, libiw-dev (>= 27+28pre9-1), locales, po-debconf (>= 0.5.0), python-all-dev (>= 2.3.5-11), python-central (>= 0.5), python-gobject-dev (>= 2.15.1), python-gtk2-dev, tzdata, xkb-data (>= 0.9), quilt
Standards-Version: 3.6.2
XS-Python-Version: current, >= 2.4
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/oem-config/trunk

Package: oem-config
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${mangled-version}, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser, ume-config-base
Recommends: language-installer
Suggests: checkbox
Conflicts: oem-config-keyboard, oem-config-locale, oem-config-timezone
Replaces: oem-config-keyboard, oem-config-locale, oem-config-timezone, oem-config-gtk (<< 1.54.13), oem-config-kde (<< 1.54.13)
XB-Python-Version: ${python:Versions}
Description: Perform end-user configuration after initial OEM installation
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.

Package: oem-config-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, oem-config (= ${binary:Version}), xserver-xorg, python-gtk2, python-glade2, python-cairo, metacity
Suggests: checkbox-gtk, gnome-control-center
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${mangled-version}
XB-Python-Version: ${python:Versions}
Description: GTK+ frontend for end-user post-OEM-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a GTK+ frontend to oem-config.

Package: oem-config-kde
Architecture: all
Depends: ${python:Depends}, oem-config (= ${binary:Version}), xserver-xorg, python-kde4, kde-window-manager, kdesudo
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${mangled-version}
XB-Python-Version: ${python:Versions}
Description: KDE frontend for end-user post-OEM-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a KDE frontend to oem-config.

Package: oem-config-debconf
Architecture: all
Depends: ${python:Depends}, oem-config (= ${binary:Version}), debconf (>= 1.5.24ubuntu2) | cdebconf, bogl-bterm (>= 0.1.18-2ubuntu4), tasksel
Provides: oem-config-frontend-${mangled-version}
XB-Python-Version: ${python:Versions}
Description: debconf frontend for end-user post-OEM-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a frontend to oem-config that simply arranges for questions to be
 asked using the normal debconf frontend.

Package: oem-config-check
XC-Package-Type: udeb
Section: debian-installer
Priority: standard
Architecture: all
Depends: cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
Description: enter OEM mode if requested

Package: oem-config-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Depends: oem-config-check, cdebconf-udeb
XB-Installer-Menu-Item: 2800
Description: Prepare for OEM configuration

## oem-config 1.54.13netbook5moblin2

=== debian/changelog ===
oem-config (1.54.13netbook5moblin2) moblin-jaunty; urgency=low

  * debian/oem-config-check.install:
    - Don't install main-menu.d to disable "OEM mode (for manufacturers only)"
      text in the installer. (LP: #426850)

 -- Cody A.W. Somerville <cody.somerville@canonical.com>  Thu, 10 Sep 2009 13:03:48 -0300

oem-config (1.54.13netbook5moblin1) moblin-jaunty; urgency=low

  * Merge with netbook, remaining changes:
    - debian/control: change metacity depend to icewm
    - oem-config-dm: change metacity to icewm 

 -- Michael Terry <michael.terry@canonical.com>  Mon, 24 Aug 2009 10:36:15 -0400

oem-config (1.54.13netbook4moblin1) moblin-jaunty; urgency=low

  * gui-langs-in-list.patch:
    - lib/frontend/gtk_ui.py: implemented language list widget as treeview instead of iconview, 
    which is more appropriate for oem with few langs than for ubuntu with many
    - gui/glade/step_language: same as above
  * oem-langlist.patch:
    - lib/components/language.py: added check for oem-specific langauge list 
    (/usr/share/oem-langagues/languagelist.data.gz). If not found, use default

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 29 Jul 2009 14:17:39 -0400

oem-config (1.54.13netbook3moblin1) moblin-jaunty; urgency=low

  * rebase on netbook3 and apply moblin changes
    - debian/control: change metacity depend to icewm
    - oem-config-dm: change metacity to icewm 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 23 Jul 2009 17:13:20 -0400

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 Package: oem-config-gtk
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, oem-config (= ${binary:Version}), xserver-xorg, python-gtk2, python-glade2, python-cairo, metacity
+Depends: ${shlibs:Depends}, ${python:Depends}, oem-config (= ${binary:Version}), xserver-xorg, python-gtk2, python-glade2, python-cairo, icewm
 Suggests: checkbox-gtk, gnome-control-center
 Replaces: oem-config (<< 1.0)
 Provides: oem-config-frontend-${mangled-version}
